%define upstream_name    CLASS
%define upstream_version v1.1.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Alias for __PACKAGE__
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.70.0
BuildArch:  noarch

%{?perl_default_filter}

%description
CLASS and $CLASS are both synonyms for __PACKAGE__. Easier to type.

$CLASS has the additional benefit of working in strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Sep 25 2023 tv <tv> 1.1.8-1.mga10
+ Revision: 1990897
- update to v1.1.8

* Mon Mar 21 2022 tv <tv> 1.1.7-1.mga9
+ Revision: 1816719
- update to v1.1.7

* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-12.mga9
+ Revision: 1802332
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-11.mga8
+ Revision: 1493511
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-10.mga7
+ Revision: 1266144
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.0.0-9.mga6
+ Revision: 1023838
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-8.mga6
+ Revision: 949433
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.0.0-7.mga5
+ Revision: 789661
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 745725
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.0.0-5.mga5
+ Revision: 732937
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 683666
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 509461
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 363601
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 24502
- fix specs
- imported package perl-CLASS

